Loading...
Searching...
No Matches
Opm::BinaryCoeff::H2O_N2 Class Reference

Binary coefficients for water and nitrogen. More...

`#include <H2O_N2.hpp>`

## Static Public Member Functions

template<class Evaluation>
static Evaluation | henry (const Evaluation &temperature)
| Henry coefficent for molecular nitrogen in liquid water.
template<class Evaluation>
static Evaluation | gasDiffCoeff (const Evaluation &temperature, const Evaluation &pressure)
| Binary diffusion coefficent for molecular water and nitrogen.
template<class Evaluation>
static Evaluation | liquidDiffCoeff (const Evaluation &temperature, const Evaluation &)
| Diffusion coefficent for molecular nitrogen in liquid water.

## Detailed Description

Binary coefficients for water and nitrogen.

## Member Function Documentation

## gasDiffCoeff()

template<class Evaluation>

Evaluation Opm::BinaryCoeff::H2O_N2::gasDiffCoeff | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Binary diffusion coefficent for molecular water and nitrogen.

Uses fullerMethod to determine the diffusion of water in nitrogen.

Parameters

  temperature | the temperature
  pressure | the phase pressure

## henry()

template<class Evaluation>

Evaluation Opm::BinaryCoeff::H2O_N2::henry | ( | const Evaluation & | temperature | ) |

inline static

Henry coefficent for molecular nitrogen in liquid water.

This function calculates , see:

IAPWS: "Guideline on the Henry's Constant and Vapor-Liquid Distribution Constant for Gases in H2O and D2O at High Temperatures" http://www.iapws.org/relguide/HenGuide.pdf

## liquidDiffCoeff()

template<class Evaluation>

Evaluation Opm::BinaryCoeff::H2O_N2::liquidDiffCoeff | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

Diffusion coefficent for molecular nitrogen in liquid water.

The empirical equations for estimating the diffusion coefficient in infinite solution which are presented in Reid, 1987 all show a linear dependency on temperature. We thus simply scale the experimentally obtained diffusion coefficient of Ferrell and Himmelblau by the temperature.

See:

R. Reid et al.: "The properties of Gases and Liquids", 4th edition, pp. 599, McGraw-Hill, 1987

R. Ferrell, D. Himmelblau: "Diffusion Coeffients of Nitrogen and Oxygen in Water", Journal of Chemical Engineering and Data, Vol. 12, No. 1, pp. 111-115, 1967

The documentation for this class was generated from the following file:

- opm/material/binarycoefficients/H2O_N2.hpp